package com.hotent.base.jms;

/**
 * jms生产者
 * <pre>
 * 队列消息的发送者
 * </pre>
 * @company 广州宏天软件股份有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2018年6月29日
 */
public interface JmsConsumerService {

	void handlerSysTypeChange(String source);

	/**
	 * 通过模板发送消息
	 * @param notice
	 */
    void handlerSysLog(String source);

	/**
	 * 	处理消息
	 * @param source
	 */
	void handlerJmsMessage(String source);

	/**
	 * 处理扫描外部接口
	 * @param source
	 */
	void handlerUrlMessage(String source);

	/**
	 * 处理jar包发布
	 * @param source
	 */
	void handlerPublishJar(String source) ;

	/**
	 * 删除扩展类
	 * @param source
	 */
	void handlerRemoveExtendClass(String source) ;

	/**
	 * 仿真流程处理
	 * @param source
	 */
	void handlerAutoTest(String source) ;

}
